MyGUI: MyGUI::CoordConverter Class Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Static Public Member Functions
MyGUI::CoordConverter Class Reference

`#include <MyGUI_CoordConverter.h>`

## Static Public Member Functions
static FloatRect | convertTextureCoord (const IntCoord &_coord, const IntSize &_textureSize)
static IntCoord | convertFromRelative (const FloatCoord &_coord, const IntSize &_view)
static IntSize | convertFromRelative (const FloatSize &_size, const IntSize &_view)
static IntPoint | convertFromRelative (const FloatPoint &_point, const IntSize &_view)
static FloatCoord | convertToRelative (const IntCoord &_coord, const IntSize &_view)
static FloatSize | convertToRelative (const IntSize &_size, const IntSize &_view)
static FloatPoint | convertToRelative (const IntPoint &_point, const IntSize &_view)
static IntCoord | convertFromRelative (const DoubleCoord &_coord, const IntSize &_view)
static DoubleCoord | convertToRelativeD (const IntCoord &_coord, const IntSize &_view)

## Detailed Description

Definition at line 16 of file MyGUI_CoordConverter.h.

## Member Function Documentation

## ◆ convertFromRelative() [1/4]

static IntCoord MyGUI::CoordConverter::convertFromRelative | ( | const DoubleCoord & | _coord,
|  | const IntSize & | _view )
| inlinestatic

Definition at line 72 of file MyGUI_CoordConverter.h.

## ◆ convertFromRelative() [2/4]

static IntCoord MyGUI::CoordConverter::convertFromRelative | ( | const FloatCoord & | _coord,
|  | const IntSize & | _view )
| inlinestatic

Definition at line 33 of file MyGUI_CoordConverter.h.

## ◆ convertFromRelative() [3/4]

static IntPoint MyGUI::CoordConverter::convertFromRelative | ( | const FloatPoint & | _point,
|  | const IntSize & | _view )
| inlinestatic

Definition at line 49 of file MyGUI_CoordConverter.h.

## ◆ convertFromRelative() [4/4]

static IntSize MyGUI::CoordConverter::convertFromRelative | ( | const FloatSize & | _size,
|  | const IntSize & | _view )
| inlinestatic

Definition at line 41 of file MyGUI_CoordConverter.h.

## ◆ convertTextureCoord()

static FloatRect MyGUI::CoordConverter::convertTextureCoord | ( | const IntCoord & | _coord,
|  | const IntSize & | _textureSize )
| inlinestatic

Convert pixel coordinates to texture UV coordinates

Definition at line 20 of file MyGUI_CoordConverter.h.

## ◆ convertToRelative() [1/3]

static FloatCoord MyGUI::CoordConverter::convertToRelative | ( | const IntCoord & | _coord,
|  | const IntSize & | _view )
| inlinestatic

Definition at line 57 of file MyGUI_CoordConverter.h.

## ◆ convertToRelative() [2/3]

static FloatPoint MyGUI::CoordConverter::convertToRelative | ( | const IntPoint & | _point,
|  | const IntSize & | _view )
| inlinestatic

Definition at line 67 of file MyGUI_CoordConverter.h.

## ◆ convertToRelative() [3/3]

static FloatSize MyGUI::CoordConverter::convertToRelative | ( | const IntSize & | _size,
|  | const IntSize & | _view )
| inlinestatic

Definition at line 62 of file MyGUI_CoordConverter.h.

## ◆ convertToRelativeD()

static DoubleCoord MyGUI::CoordConverter::convertToRelativeD | ( | const IntCoord & | _coord,
|  | const IntSize & | _view )
| inlinestatic

Definition at line 77 of file MyGUI_CoordConverter.h.

The documentation for this class was generated from the following file:

- MyGUI_CoordConverter.h